apiVersion: v1
kind: Service
metadata:
  name: cceaddon-nginx-ingress-controller
  namespace: ingress-nginx
  annotations:
    kubernetes.io/elb.class: performance
    kubernetes.io/elb.id: 1722cbcc-00cf-42aa-bc3b-3d029ffdf9db
    meta.helm.sh/release-name: cceaddon-nginx-ingress
    meta.helm.sh/release-namespace: ingress-nginx
  labels:
    app: nginx-ingress
    app.kubernetes.io/managed-by: Helm
    chart: nginx-ingress-2.5.6
    component: controller
    heritage: Helm
    release: cceaddon-nginx-ingress
spec:
  type: LoadBalancer
  loadBalancerIP: 192.168.0.230
  allocateLoadBalancerNodePorts: true
  externalTrafficPolicy: Cluster
  internalTrafficPolicy: Cluster
  ipFamilies:
    - IPv4
  ipFamilyPolicy: SingleStack
  selector:
    app: istio-ingressgateway
    istio: ingressgateway
  ports:
    - name: http
      port: 80
      protocol: TCP
      targetPort: 80
      nodePort: 31914
    - name: https
      port: 443
      protocol: TCP
      targetPort: 443
      nodePort: 32382
